*"   PACKAGE  STTEMP       !"  seisouken
*"   
*"      Tue May 10 19:04:51 1994        Ishiwatari Masaki
***********************************************************************
      SUBROUTINE STTEMP
     M        ( GDT, RFLUX, 
     I          GDQ, GDPM, 
     I          TRPLEV   )
*   [PARAM] 
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" $B3J;RE@?t!$GH?t(B
      INCLUDE   (ZCCOM)                      !" $BI8=`J*M}Dj?t(B
#else
#include        "zcdim.F"                    !" $B3J;RE@?t!$GH?t(B
#include        "zccom.F"                    !" $BI8=`J*M}Dj?t(B
#endif
*
*   [MODIFY] 
      REAL       GDT   ( IDIM*JDIM, KMAX )  !" $B29EY(B  $B#T(B
*
*   [INPUT] 
      INTEGER    TRPLEV ( IDIM*JDIM )            !" $B7w3&LL$N9b$5(B
      REAL       RFLUX  ( IDIM*JDIM, KMAX+1 )     !" $BD9GH%U%i%C%/%9(B
      REAL       GDPM   ( IDIM*JDIM, KMAX+1 ) !" $B5$05!JH>@0?t!K(B
      REAL       GDQ   ( IDIM*JDIM, KMAX )  !" $BHf<>(B  $B#q(B
*
*   [INTERNAL WORK] 
      COMMON    /COMWRK/
     &           TAUQ  , TAUA   , TRNSM1, TRNSM2, TRANS ,
     &           PIB   , PIBGND , SECZET
      REAL       TAUQ   ( IDIM*JDIM, KMAX+1 ) !" $B8w3XE*8|$5!'?e(B
      REAL       TAUA   ( IDIM*JDIM, KMAX+1 ) !" $B8w3XE*8|$5!'6u5$(B
      REAL       TRNSM1 ( IDIM*JDIM, KMAX+1 ) !" 1/2 $B%l%Y%k$+$i$NF)2a78?t(B
      REAL       TRNSM2 ( IDIM*JDIM, KMAX+1 ) !" 3/2 $B%l%Y%k$+$i$NF)2a78?t(B
*                                                 !" $BJ]:d(B 93/08/29 $BDI2C(B
      REAL       TRANS  ( IDIM*JDIM, KMAX+1 ) !" $BF)2a78?t(B
      REAL       PIB    ( IDIM*JDIM, KMAX+1 ) !" $B&P#B!a&R#T(B**4
      REAL       PIBGND ( IDIM*JDIM )         !" $BCOI=$N&P#B(B
      REAL       SECZET ( IDIM*JDIM )         !" sec($BF~<M3Q(B)
*
      INTEGER    IJ,K
      REAL       ABSQL
*
c$$$      write (6,*) 'at the end of sttemp;k,sig T^4, F/2(1.5 tau +1)'
c$$$      do 10 k=1,kmax
c$$$      write (6,*) k,stb*gdt(1,k)**4, 
c$$$     &            rflux(1,k)/2.0*(1.5*tauq(1,k)+1.0)
c$$$ 10   continue 
*
      RETURN
      END

